Index: trunk/kernel/mm/kcm.c
===================================================================
--- trunk/kernel/mm/kcm.c	(revision 101)
+++ trunk/kernel/mm/kcm.c	(revision 161)
@@ -49,5 +49,5 @@
 	kcm_dmsg("\n[INFO] %s : enters for %s / page %x / count = %d / active = %d\n",
 	         __FUNCTION__ , kmem_type_str( kcm->type ) ,
-             (intptr_t)kcm_page , kcm_page->count , kcm_page->active );
+	         (intptr_t)kcm_page , kcm_page->count , kcm_page->active );
 
 	assert( kcm_page->active , __FUNCTION__ , "kcm_page should be active" );
@@ -67,5 +67,5 @@
 	if( kcm_page->count >= kcm->blocks_nr )
 	{
-        kcm_page->active = 0;
+		kcm_page->active = 0;
 		list_unlink( &kcm_page->list);
 		kcm->active_pages_nr --;
@@ -76,15 +76,14 @@
 	}
 
-    // compute return pointer
-    void * ptr = (void *)((intptr_t)kcm_page + CONFIG_KCM_SLOT_SIZE
-                 + (index * kcm->block_size) );
+	// compute return pointer
+	void * ptr = (void *)((intptr_t)kcm_page + CONFIG_KCM_SLOT_SIZE
+	             + (index * kcm->block_size) );
 
 	kcm_dmsg("\n[INFO] %s : allocated one block  %s / ptr = %p / page = %x / count = %d\n",
 	         __FUNCTION__ , kmem_type_str( kcm->type ) , ptr ,
-             (intptr_t)kcm_page , kcm_page->count );
+	         (intptr_t)kcm_page , kcm_page->count );
 
 	return ptr;
-
-}  // kcm_get_block()
+}
 
 /////////////////////////////////////////////////////////////////////////////////////
@@ -101,8 +100,8 @@
 	uint32_t     index;
 
-    // compute pointer on kcm_page from block pointer
+	// compute pointer on kcm_page from block pointer
 	kcm_page = (kcm_page_t*)((intptr_t)ptr & ~CONFIG_PPM_PAGE_MASK);
 
-    // compute block index from block pointer
+	// compute block index from block pointer
 	index = ((uint8_t *)ptr - (uint8_t *)kcm_page - CONFIG_KCM_SLOT_SIZE) / kcm->block_size;
 
@@ -132,5 +131,5 @@
 		kcm->free_pages_nr ++;
 	}
-}  // kcm_put_block()
+}
 
 /////////////////////////////////////////////////////////////////////////////////////
@@ -174,6 +173,5 @@
 
 	return 0;
-
-}  // freelist_populate()
+}
 
 /////////////////////////////////////////////////////////////////////////////////////
@@ -199,7 +197,5 @@
 
 	return kcm_page;
-
-} // freelist_get()
-
+}
 
 //////////////////////////////
@@ -207,7 +203,7 @@
 	           uint32_t   type )
 {
-    // the kcm_page descriptor mut fit in the KCM slot
-    assert( (sizeof(kcm_page_t) <= CONFIG_KCM_SLOT_SIZE) ,
-             __FUNCTION__ , "KCM slot too small\n" );
+	// the kcm_page descriptor mut fit in the KCM slot
+	assert( (sizeof(kcm_page_t) <= CONFIG_KCM_SLOT_SIZE) ,
+	         __FUNCTION__ , "KCM slot too small\n" );
 
 	// initialize lock
@@ -225,5 +221,5 @@
 	list_root_init( &kcm->active_root );
 
-	// initialize block size 
+	// initialize block size
 	uint32_t block_size = ARROUND_UP( kmem_type_size( type ) , CONFIG_KCM_SLOT_SIZE );
 	kcm->block_size = block_size;
@@ -231,10 +227,9 @@
 	// initialize number of blocks per page
 	uint32_t  blocks_nr = (CONFIG_PPM_PAGE_SIZE - CONFIG_KCM_SLOT_SIZE) / block_size;
-    kcm->blocks_nr = blocks_nr;
+	kcm->blocks_nr = blocks_nr;
 
 	kcm_dmsg("\n[INFO] %s : KCM %s initialised / block_size = %d / blocks_nr = %d\n",
 	         __FUNCTION__ , kmem_type_str( type ) , kcm->block_size , kcm->blocks_nr );
-
-}  // kcm_init()
+}
 
 ///////////////////////////////
@@ -276,6 +271,5 @@
 	// release KCM lock
 	spinlock_unlock( &kcm->lock );
-
-}  // kcm_destroy()
+}
 
 ///////////////////////////////
@@ -299,9 +293,9 @@
 		list_add_first( &kcm->active_root , &kcm_page->list );
 		kcm->active_pages_nr ++;
-	    kcm_page->active = 1;
-
-        kcm_dmsg("\n[INFO] %s : enters for type %s at cycle %d / new page = %x / count = %d\n",
+		kcm_page->active = 1;
+
+		kcm_dmsg("\n[INFO] %s : enters for type %s at cycle %d / new page = %x / count = %d\n",
 		         __FUNCTION__ , kmem_type_str( kcm->type ) , hal_get_cycles() ,
-                 (intptr_t)kcm_page , kcm_page->count );
+		         (intptr_t)kcm_page , kcm_page->count );
 
 	}
@@ -312,6 +306,6 @@
 
 		kcm_dmsg("\n[INFO] %s : enters for type %s at cycle %d / page = %x / count = %d\n",
-		         __FUNCTION__ , kmem_type_str( kcm->type ) , hal_get_cycles() ,  
-                 (intptr_t)kcm_page , kcm_page->count );
+		         __FUNCTION__ , kmem_type_str( kcm->type ) , hal_get_cycles() ,
+		         (intptr_t)kcm_page , kcm_page->count );
 	}
 
@@ -324,6 +318,5 @@
 
 	return ptr;
-
-}  // end kcm_allo()
+}
 
 ///////////////////////////
@@ -346,6 +339,5 @@
 	// release lock
 	spinlock_unlock( &kcm->lock );
-
-}  // end kcm_free()
+}
 
 ////////////////////////////
